#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("FSEQ.inp");
	ofstream f2("FSEQ.out");
	long long int n,a[100000],max=0,d=0;
	f1>>n;
	for(int i=1;i<=n;i++) f1>>a[i];
	for(int i=3;i<=n;i++)
		{
			if(a[i]==a[i-1]+a[i-2])
				{
					d=3;
					for(int j=i+1;j<=n;j++) if(a[j]==a[j-1]+a[j-2]) d++;else break;
				}
			if(d>max) max=d;
		}
	f2<<max;
    return 0;
}
